=== modified file 'mystrings/Makefile.am'
--- mystrings/Makefile.am	2008-12-05 10:24:51 +0000
+++ mystrings/Makefile.am	2008-12-09 02:24:39 +0000
@@ -35,6 +35,6 @@
                                 ctype.cc ctype-simple.cc ctype-mb.cc \
                                 ctype-utf8.cc \
                                 ctype-uca.cc ctype-bin.cc \
-                                decimal.cc ctype-extra.cc str_alloc.cc \
+                                decimal.cc ctype-extra.cc \
                                 dtoa.cc 
 

=== modified file 'mystrings/m_string.h'
--- mystrings/m_string.h	2008-12-06 22:33:19 +0000
+++ mystrings/m_string.h	2008-12-09 02:24:39 +0000
@@ -49,18 +49,6 @@
 extern "C" {
 #endif
 
-/*
-  my_str_malloc() and my_str_free() are assigned to implementations in
-  strings/alloc.c, but can be overridden in the calling program.
- */
-typedef void *(*str_malloc_func)(size_t);
-typedef void (*str_free_func)(void *);
-
-extern str_malloc_func my_str_malloc;
-extern str_free_func my_str_free;
-
-void *my_str_malloc_default(size_t size);
-void my_str_free_default(void *ptr);
 
 char *my_stpncpy(register char *dst, register const char *src, size_t n);
 

=== removed file 'mystrings/str_alloc.cc'
--- mystrings/str_alloc.cc	2008-12-01 08:04:52 +0000
+++ mystrings/str_alloc.cc	1970-01-01 00:00:00 +0000
@@ -1,33 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-#include <mystrings/m_string.h>
-#include <stdlib.h>
-
-void *my_str_malloc_default(size_t size)
-{
-  void *ret= malloc(size);
-  if (!ret)
-    exit(1);
-  return ret;
-}
-
-void my_str_free_default(void *ptr)
-{
-  free(ptr);
-}
-
-str_malloc_func my_str_malloc= &my_str_malloc_default;
-str_free_func my_str_free= &my_str_free_default;

